| OpenCV 4.3.0 Open Source Computer Vision

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::quality::QualityGMSD Class Reference

Full reference GMSD algorithm http://www4.comp.polyu.edu.hk/~cslzhang/IQA/GMSD/GMSD.htm. More...

`#include <opencv2/quality/qualitygmsd.hpp>`

Inheritance diagram for cv::quality::QualityGMSD:

## Classes
struct | _mat_data

## Public Member Functions
void | clear () CV_OVERRIDE
| Implements Algorithm::clear() More...
cv::Scalar | compute (InputArray cmp) CV_OVERRIDE
| Compute GMSD. More...
bool | empty () const CV_OVERRIDE
| Implements Algorithm::empty() More...
Public Member Functions inherited from cv::quality::QualityBase
virtual | ~QualityBase ()=default
| Destructor. More...
virtual void | getQualityMap (OutputArray dst) const
| Returns output quality map that was generated during computation, if supported by the algorithm. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static cv::Scalar | compute (InputArray ref, InputArray cmp, OutputArray qualityMap)
| static method for computing quality More...
static Ptr< QualityGMSD > | create (InputArray ref)
| Create an object which calculates image quality. More...
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Protected Member Functions
| QualityGMSD (_mat_data refImgData)
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Protected Attributes
_mat_data | _refImgData
| Reference image data. More...
Protected Attributes inherited from cv::quality::QualityBase
_mat_type | _qualityMap
| Output quality maps if generated by algorithm. More...

## Additional Inherited Members
Protected Types inherited from cv::quality::QualityBase
using | _mat_type = cv::UMat
| internal mat type default More...

## Detailed Description

Full reference GMSD algorithm http://www4.comp.polyu.edu.hk/~cslzhang/IQA/GMSD/GMSD.htm.

## Constructor & Destructor Documentation

## ◆ QualityGMSD()

cv::quality::QualityGMSD::QualityGMSD | ( | _mat_data | refImgData | ) |
| inline protected

## Member Function Documentation

## ◆ clear()

void cv::quality::QualityGMSD::clear | ( |  | ) |
| inline virtual

Python:
| None | = | cv.quality_QualityGMSD.clear( |  | )

Implements Algorithm::clear()

Reimplemented from cv::quality::QualityBase.

## ◆ compute() [1/2]

cv::Scalar cv::quality::QualityGMSD::compute | ( | InputArray | cmp | ) |
| virtual

Python:
| retval | = | cv.quality_QualityGMSD.compute( | cmp | )
| retval, qualityMap | = | cv.quality_QualityGMSD.compute( | ref, cmp[, qualityMap] | )
| retval, qualityMap | = | cv.quality.QualityGMSD_compute( | ref, cmp[, qualityMap] | )

Compute GMSD.

Parameters

  cmp | comparison image

Returns
  cv::Scalar with per-channel quality value. Values range from 0 (worst) to 1 (best)

Implements cv::quality::QualityBase.

## ◆ compute() [2/2]

static cv::Scalar cv::quality::QualityGMSD::compute | ( | InputArray | ref,
|  | InputArray | cmp,
|  | OutputArray | qualityMap
| ) |  |
| static

Python:
| retval | = | cv.quality_QualityGMSD.compute( | cmp | )
| retval, qualityMap | = | cv.quality_QualityGMSD.compute( | ref, cmp[, qualityMap] | )
| retval, qualityMap | = | cv.quality.QualityGMSD_compute( | ref, cmp[, qualityMap] | )

static method for computing quality

Parameters

  ref | reference image
  cmp | comparison image
  qualityMap | output quality map, or cv::noArray()

Returns
  cv::Scalar with per-channel quality value. Values range from 0 (worst) to 1 (best)

## ◆ create()

static Ptr<QualityGMSD> cv::quality::QualityGMSD::create | ( | InputArray | ref | ) |
| static

Python:
| retval | = | cv.quality.QualityGMSD_create( | ref | )

Create an object which calculates image quality.

Parameters

  ref | reference image

## ◆ empty()

bool cv::quality::QualityGMSD::empty | ( |  | ) | const
| inline virtual

Python:
| retval | = | cv.quality_QualityGMSD.empty( |  | )

Implements Algorithm::empty()

Reimplemented from cv::quality::QualityBase.

## Member Data Documentation

## ◆ _refImgData

_mat_data cv::quality::QualityGMSD::_refImgData
| protected

Reference image data.

The documentation for this class was generated from the following file:

- opencv2/quality/qualitygmsd.hpp